Bug 501640 - ibus should adds new IMEs at end of engine list not beginning
ibus should adds new IMEs at end of engine list not beginning
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 02:18 EDT by Jens Petersen
Modified: 2009-05-28 04:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.1.0.20090508-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:04:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-20 02:18:42 EDT
Description of problem:
ibus-setup currently adds new engines first in the engine list
it would be better to add new ones last in the list by default.

Steps to Reproduce:
1. add new engine
  
Actual results:
becomes default, first in list

Expected results:
just to be added at the end
Comment 1 Ankit Patel 2009-05-20 02:36:09 EDT
Well my opinion here is, no matter which keymap is first in the list and which one is last. There should be some radio button selection or some kind of selection for the default keymap to be used. If there is only one keymap in the list than it should be the default keymap by default I think.
Comment 2 Parag Nemade 2009-05-20 05:31:27 EDT
This is how new engines manually added should be listed on ibus panel and should not be mixed with how/who/when/where to select/change default keymap.
Comment 3 Peng Huang 2009-05-25 03:21:25 EDT
I think adding new engine at the end is simple. And I implemented it in upstream. I will build it for fedora soon.
Comment 4 Fedora Update System 2009-05-25 05:04:55 EDT
ibus-1.1.0.20090508-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-1.1.0.20090508-4.fc11
Comment 5 Fedora Update System 2009-05-26 03:54:44 EDT
ibus-1.1.0.20090508-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5495
Comment 6 Fedora Update System 2009-05-26 22:02:16 EDT
ibus-1.1.0.20090508-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-1.1.0.20090508-5.fc11
Comment 7 Fedora Update System 2009-05-28 04:04:38 EDT
ibus-1.1.0.20090508-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.